[Date Prev][Date Next] [Thread Prev][Thread Next]
[Thread Index]
[Date Index]
[Author Index]
rpms/samba/FC-5 .cvsignore, 1.29, 1.30 samba.spec, 1.66, 1.67 smb.init, 1.6, 1.7 sources, 1.32, 1.33
- From: fedora-cvs-commits redhat com
- To: fedora-cvs-commits redhat com
- Subject: rpms/samba/FC-5 .cvsignore, 1.29, 1.30 samba.spec, 1.66, 1.67 smb.init, 1.6, 1.7 sources, 1.32, 1.33
- Date: Tue, 26 Sep 2006 13:51:46 -0400
Author: fenlason
Update of /cvs/dist/rpms/samba/FC-5
In directory cvs.devel.redhat.com:/tmp/cvs-serv3113
Modified Files:
.cvsignore samba.spec smb.init sources
Log Message:
3.0.23c
Index: .cvsignore
===================================================================
RCS file: /cvs/dist/rpms/samba/FC-5/.cvsignore,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -r1.29 -r1.30
--- .cvsignore 24 Jul 2006 17:44:02 -0000 1.29
+++ .cvsignore 26 Sep 2006 17:51:44 -0000 1.30
@@ -1,2 +1,3 @@
samba-3.0.23.tar.gz
samba-3.0.23a.tar.gz
+samba-3.0.23c.tar.gz
Index: samba.spec
===================================================================
RCS file: /cvs/dist/rpms/samba/FC-5/samba.spec,v
retrieving revision 1.66
retrieving revision 1.67
diff -u -r1.66 -r1.67
--- samba.spec 24 Jul 2006 20:08:36 -0000 1.66
+++ samba.spec 26 Sep 2006 17:51:44 -0000 1.67
@@ -2,8 +2,8 @@
Summary: The Samba SMB server.
Name: samba
-Version: 3.0.23a
-Release: 1.fc5.1
+Version: 3.0.23c
+Release: 1.fc5
Epoch: 0
License: GNU GPL Version 2
Group: System Environment/Daemons
@@ -28,7 +28,7 @@
# upstream patches. Applied first so that they'll break our patches rather
# than the other way around
-Patch1: samba-3.0.23a-samr_alias.patch
+# (none)
# generic patches
Patch101: samba-2.2.0-smbw.patch
@@ -110,7 +110,7 @@
cp %{SOURCE8} packaging/Fedora/winbind.init
# Upstream patches
-%patch1 -p1
+# (none)
# generic patches
%patch101 -p1 -b .smbw
@@ -446,6 +446,13 @@
%{_mandir}/man7/libsmbclient.7*
%changelog
+* Tue Sep 26 2006 Jay Fenlason <fenlason redhat com> 3.0.23c-1.fc5
+- Include the newer smb.init that includes the configtest option
+- Upgrade to 3.0.23c, obsoleting the -samr_alias patch.
+
+* Wed Aug 9 2006 Jay Fenlason <fenlason redhat com> 3.0.23b-1.fc5
+- New upstream release, fixing some annoying bugs.
+
* Mon Jul 24 2006 Jay Fenlason <fenlason redhat com> 3.0.23a-1.fc5.1
- Fix the -logfiles patch to close
bz#199607 Samba compiled with wrong log path.
Index: smb.init
===================================================================
RCS file: /cvs/dist/rpms/samba/FC-5/smb.init,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- smb.init 12 Jul 2006 18:57:09 -0000 1.6
+++ smb.init 26 Sep 2006 17:51:44 -0000 1.7
@@ -1,8 +1,16 @@
#!/bin/sh
#
# chkconfig: - 91 35
-# description: Starts and stops the Samba smbd and nmbd daemons \
-# used to provide SMB network services.
+# description: Provides SMB networking, often used \
+# to share files and printers with Windows. \
+# \
+# Enable this service to allow you to \
+# provide shares to Windows machines, use WINS network names, \
+# or authenticate to Windows machines. \
+# \
+# You may also enable this service if you wish to share printers \
+# with Windows using Windows protocols, rather than using Windows \
+# 'Internet Printing' IPP support with CUPS.
#
# pidfile: /var/run/samba/smbd.pid
# pidfile: /var/run/samba/nmbd.pid
@@ -31,13 +39,18 @@
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0
-# Check that smb.conf exists.
-[ -f /etc/samba/smb.conf ] || exit 0
-
RETVAL=0
+rootok() {
+ if [ ! -w /etc/samba/smb.conf ]; then
+ echo 'Config file not writable. Got root?'
+ exit 1
+ fi
+}
+
start() {
+ rootok
KIND="SMB"
echo -n $"Starting $KIND services: "
daemon smbd $SMBDOPTIONS
@@ -51,9 +64,10 @@
[ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && touch /var/lock/subsys/smb || \
RETVAL=1
return $RETVAL
-}
+}
stop() {
+ rootok
KIND="SMB"
echo -n $"Shutting down $KIND services: "
killproc smbd
@@ -66,20 +80,21 @@
[ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && rm -f /var/lock/subsys/smb
echo ""
return $RETVAL
-}
+}
restart() {
stop
start
-}
+}
reload() {
+ rootok
echo -n $"Reloading smb.conf file: "
killproc smbd -HUP
RETVAL=$?
echo
return $RETVAL
-}
+}
rhstatus() {
status smbd
@@ -88,7 +103,43 @@
if [ $? -ne 0 -o $RETVAL -ne 0 ] ; then
return 1
fi
-}
+}
+configtest() {
+ # Check that smb.conf exists.
+ if [ ! -r /etc/samba/smb.conf ]; then
+ echo 'Config file (/etc/samba/smb.conf) missing !'
+ exit 1
+ fi
+
+ # First run testparm and check the exit status.
+ # If it ain't 0, there was a problem, show them the testparm output.
+ # Most of the time, though, testparm gives 0 - obvious problems
+ # (like a missing config file) that testparm normally tells us about
+ # have been checked for earlier in this script.
+ /usr/bin/testparm -s &> /dev/null
+ RETVAL=$?
+ if [ $RETVAL -ne 0 ]; then
+ /usr/bin/testparm -s
+ exit $RETVAL
+ fi
+
+ # Note: testparm returns 0 even if it has unknown parameters or errors.
+ # Check for the appropriate error text, and print the relevant section
+ # if it appears. Return '3' because testparm doesn't usually
+ # use that.
+ # Don't just blindly search for "unknown", because we don't want to
+ # false positive on "comment = Tomb of the unknown soldier", etc.
+ /usr/bin/testparm -s 2>&1 | grep '^Ignoring unknown parameter\|^ERROR: ' &> /dev/null
+ if [ $? -eq 0 ]; then
+ RETVAL=3
+ /usr/bin/testparm -s 2>&1 | grep '^Ignoring unknown parameter\|^ERROR: '
+ exit $RETVAL
+ fi
+
+ # If testparm didn't fail and there weren't any unknowns, exit.
+ echo Syntax OK
+ return $RETVAL
+}
# Allow status as non-root.
@@ -97,13 +148,9 @@
exit $?
fi
-# Check that we can write to it... so non-root users stop here
-[ -w /etc/samba/smb.conf ] || exit 0
-
-
-
case "$1" in
start)
+ configtest
start
;;
stop)
@@ -118,11 +165,15 @@
status)
rhstatus
;;
+ configtest)
+ configtest
+ ;;
condrestart)
+ rootok
[ -f /var/lock/subsys/smb ] && restart || :
;;
*)
- echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
+ echo $"Usage: $0 {start|stop|restart|reload|status|condrestart|configtest}"
exit 1
esac
Index: sources
===================================================================
RCS file: /cvs/dist/rpms/samba/FC-5/sources,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -r1.32 -r1.33
--- sources 24 Jul 2006 17:44:02 -0000 1.32
+++ sources 26 Sep 2006 17:51:44 -0000 1.33
@@ -1 +1 @@
-e48f196fa51c22ff67463680ce95a58d samba-3.0.23a.tar.gz
+9e06d5e10f4ae84f7fafad75d1b4184c samba-3.0.23c.tar.gz
[Date Prev][Date Next] [Thread Prev][Thread Next]
[Thread Index]
[Date Index]
[Author Index]